/* Style Changer */

jQuery(document).ready(function(){
	jQuery('#stlChanger input#numeric-spinner').spinner({
		min:0, 
		max:1, 
		step:0.1
	}).change(function(){
		jQuery('#body_rgba').css({background:'rgba(0, 0, 0, ' + jQuery('#stlChanger input#numeric-spinner').spinner('value') + ')'});
	});;
	
	jQuery('#stlChanger #bgColor').parent('a').ColorPicker({
		onChange:function(hsb, hex, rgb){
			jQuery('#stlChanger').find('#bgColor').css({backgroundColor:'#' + hex});
			jQuery('#body_color').css({backgroundColor:'#' + hex});
		},
		onSubmit:function(hsb, hex, rgb, el){
			jQuery('#stlChanger .stCols span').removeClass('current');
			jQuery(el).find('#bgColor').css({backgroundColor:'#' + hex});
			jQuery(el).ColorPickerHide();
		}
	});
		
	jQuery('#stlChanger .stCols span').click(function(){
		var bgCol = jQuery(this).css('background-color');
		jQuery('#stlChanger .stCols span').removeClass('current');
		jQuery(this).addClass('current');
		jQuery('#stlChanger #bgColor').css({backgroundColor:bgCol});
		jQuery('#body_color').css({backgroundColor:bgCol});
	});

	jQuery('#stlChanger .stBgs a').click(function(){
		var bgBgCol = jQuery(this).attr('href');
		jQuery('#stlChanger .stBgs a').removeClass('current');
		jQuery(this).addClass('current');
		jQuery('#body_wrap').css({backgroundImage:'url(' + bgBgCol + ')'});
		if (jQuery(this).hasClass('bg_t')){
			jQuery('#body_wrap').css({backgroundRepeat:'repeat', backgroundPosition:'0 0', backgroundAttachment:'scroll'});
		} else {
			jQuery('#body_wrap').css({backgroundRepeat:'no-repeat', backgroundPosition:'50% 0', backgroundAttachment:'fixed'});
		}
		return false;
	});
	
	jQuery('#stlChanger a#one').click(function(){
		jQuery('#stlChanger a#two').removeClass('current');
		jQuery(this).addClass('current');
		jQuery('#header_style').addClass('alternative');
		return false;
	});
	jQuery('#stlChanger a#two').click(function(){
		jQuery('#stlChanger a#one').removeClass('current');
		jQuery(this).addClass('current');
		jQuery('#header_style').removeClass('alternative');
		return false;
	});

	jQuery('.chBut').click(function(){
		if (jQuery(this).hasClass('closed')){
			jQuery(this).next('.chBody').css({display:'block'}).parent().animate({left:0}, 500, function(){
				jQuery(this).find('.chBut').removeClass('closed');
			});
		} else {
			jQuery(this).parent().animate({left:'-150px'}, 500, function(){
				jQuery(this).find('.chBut').next('.chBody').css({display:'none'});
				jQuery(this).find('.chBut').addClass('closed');
			});
		}
		return false;
	});
	
	jQuery('.chBut').parent().delay(1000).animate({left:'-150px'}, 500, function(){
		jQuery(this).find('.chBut').next('.chBody').css({display:'none'});
		jQuery(this).find('.chBut').addClass('closed');
	});
});
